org.apache.ignite.internal.visor.event

## Class VisorGridTaskEvent

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.event.VisorGridEvent
    - - org.apache.ignite.internal.visor.event.VisorGridTaskEvent

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorGridTaskEvent
    extends VisorGridEvent

Lightweight counterpart for `TaskEvent`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridTaskEvent()` Default constructor.
`VisorGridTaskEvent(int typeId, IgniteUuid id, String name, UUID nid, long ts, String msg, String shortDisplay, String taskName, String taskClsName, IgniteUuid taskSesId, boolean internal)` Create event with given parameters.

### Method Summary

Methods
`byte` `getProtocolVersion()`
`String` `getTaskClassName()`
`String` `getTaskName()`
`IgniteUuid` `getTaskSessionId()`
`boolean` `isInternal()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`getId, getMessage, getName, getNid, getShortDisplay, getTimestamp, getTypeId`

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridTaskEvent

    public VisorGridTaskEvent()

Default constructor.

#### VisorGridTaskEvent

    public VisorGridTaskEvent(int typeId,
                      IgniteUuid id,
                      String name,
                      UUID nid,
                      long ts,
                      @Nullable
                      String msg,
                      String shortDisplay,
                      String taskName,
                      String taskClsName,
                      IgniteUuid taskSesId,
                      boolean internal)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.
  `taskName` - Name of the task that triggered the event.
  `taskClsName` - Name of task class that triggered the event.
  `taskSesId` - Task session ID of the task that triggered the event.
  `internal` - Whether task was created for system needs.

### Method Detail

#### getTaskName

    public String getTaskName()

Returns:
  Name of the task that triggered the event.

#### getTaskClassName

    public String getTaskClassName()

Returns:
  Name of task class that triggered the event.

#### getTaskSessionId

    public IgniteUuid getTaskSessionId()

Returns:
  Task session ID.

#### isInternal

    public boolean isInternal()

Returns:
  Whether task was created for system needs.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Overrides:
  `writeExternalData` in class `VisorGridEvent`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Overrides:
  `readExternalData` in class `VisorGridEvent`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridEvent`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017